
package com.ejie.ab78.clientesWS.ab61WebService;

import javax.xml.ws.WebFault;


/**
 * This class was  
 * Oracle JAX-WS 2.1.5
 * Generated source version: 2.1
 * 
 */
@WebFault(name = "PifException", targetNamespace = "http://com.ejie.ab61.serviciosWeb")
public class PifException_Exception
    extends java.lang.Exception
{

    /**
     * Java type that goes as soapenv:Fault detail element.
     * 
     */
    private PifException faultInfo;

    /**
     * 
     * @param faultInfo
     * @param message
     */
    public PifException_Exception(String message, PifException faultInfo) {
        super(message);
        this.faultInfo = faultInfo;
    }

    /**
     * 
     * @param faultInfo
     * @param cause
     * @param message
     */
    public PifException_Exception(String message, PifException faultInfo, Throwable cause) {
        super(message, cause);
        this.faultInfo = faultInfo;
    }

    /**
     * 
     * @return
     *     returns fault bean: com.ejie.ab78.clientesWS.ab61WebService.PifException
     */
    public PifException getFaultInfo() {
        return faultInfo;
    }

}
